Bug 1203996 - [mr_IN, hi_IN] Text alignment looks incorrect at some places (few Anaconda screens, oowriter)
[mr_IN, hi_IN] Text alignment looks incorrect at some places (few Anaconda sc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lohit-devanagari-fonts (Show other bugs)
22
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-20 02:10 EDT by Bhushan Barve
Modified: 2015-03-30 03:08 EDT (History)
6 users (show)

See Also:
Fixed In Version: lohit-devanagari-fonts-2.95.1-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-30 03:08:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
text alignment in oowriter with lohit-devanagari (129.69 KB, image/png)
2015-03-20 02:10 EDT, Bhushan Barve
no flags Details
text alignment in Anaconda with lohit-devanagari (75.12 KB, image/png)
2015-03-20 02:12 EDT, Bhushan Barve
no flags Details

  None (edit)
Description Bhushan Barve 2015-03-20 02:10:54 EDT
Created attachment 1004306 [details]
text alignment in oowriter with lohit-devanagari

Description of problem: With lohit-devanagari fonts, text alignment at some places looks incorrect. Copied some text in mr_IN locale to oowriter and observed that the text alignment is not correct. This is particularly observed with alphabets like 'श', 'ल' and joint alphabets like 'त्य', 'न्य', 'क्त' etc. Same issue can be observed with some pages in Anaconda (mr, hi). Please refer attached screen-shots.


Version-Release number of selected component (if applicable):
Fedora 22
lohit-devanagari-fonts-2.95.0-1.fc22.noarch

How reproducible:
Always

Steps to Reproduce:
1.Launch oowriter and type some text in lohit-devanagari font.
2.observe the text alignment
3.

Actual results:
Text alignment looks improper.

Expected results:
Text alignment should be correct.

Additional info:
It works fine when checked with Google Noto Sans Devanagari fonts.
Comment 1 Bhushan Barve 2015-03-20 02:12:35 EDT
Created attachment 1004307 [details]
text alignment in Anaconda with lohit-devanagari
Comment 2 Pravin Satpute 2015-03-20 02:40:45 EDT
Can reproduce this. Will fix soon.
Comment 3 Fedora Update System 2015-03-25 04:04:56 EDT
lohit-devanagari-fonts-2.95.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/lohit-devanagari-fonts-2.95.1-1.fc22
Comment 4 Fedora Update System 2015-03-29 00:43:31 EDT
Package lohit-devanagari-fonts-2.95.1-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lohit-devanagari-fonts-2.95.1-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4868/lohit-devanagari-fonts-2.95.1-1.fc22
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2015-03-30 03:08:38 EDT
lohit-devanagari-fonts-2.95.1-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.